%define shortname canberra 

# Majors
%define major 0
%define major_gtk 0

# Library names
%define libname %mklibname %{shortname} %{major}
%define libname_gtk %mklibname %{shortname}-gtk %{major_gtk}
%define libname_gtk3 %mklibname %{shortname}-gtk3_ %{major_gtk}
%define	libname_gtkdevel  %mklibname -d %{shortname}-gtk
%define libname_devel %mklibname -d %{shortname}

Summary:	XDG compliant sound event library
Name:		libcanberra
Version:	0.30
Release:	%mkrel 1
Source0:	http://0pointer.de/lennart/projects/libcanberra/%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source1:	%{name}-gtk-module.sh
Source2:	%{shortname}-profile-d.sh
Source3:	%{shortname}-alsa.conf
Source4:	%{shortname}-pulse.conf
Patch0:		libcanberra-0.28-linkage.patch
License:	LGPLv2+
Group:		System/Libraries
Url:		http://0pointer.de/lennart/projects/libcanberra/
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	libalsa-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libltdl-devel
BuildRequires:	gtk-doc
BuildRequires:	tdb-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	gettext-devel
BuildRequires:	libGConf2-devel


%description
A small and lightweight implementation of the XDG Sound Theme Specification
(http://0pointer.de/public/sound-theme-spec.html).

%package -n %{shortname}-common
Summary:	Common files needed for libcanberra
Group:		Sound
Requires:	sound-theme-freedesktop
Requires(post):  rpm-helper
Requires(preun): rpm-helper

%description -n %{shortname}-common
Common files needed for libcanberra

%package -n %{libname}
Summary:	XDG complient sound event library
Group:		System/Libraries
Requires:	%{shortname}-common

%description -n %{libname}
A small and lightweight implementation of the XDG Sound Theme Specification
(http://0pointer.de/public/sound-theme-spec.html).

%package -n %{shortname}-gtk
Summary:	GTK utilities for the %{name} XDG complient sound event library
Group:		System/Libraries
Obsoletes:	%{name}-gtk2

%description -n %{shortname}-gtk
GTK specific utilities for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname_gtk}
Summary:	GTK modules for the %{name} XDG complient sound event library
Group:		System/Libraries
Requires:	%{shortname}-gtk = %{version}-%{release}

%description -n %{libname_gtk}
GTK specific libraries for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).


%package -n %{libname_gtk3}
Summary:	GTK 3 modules for the %{name} XDG complient sound event library
Group:		System/Libraries
Requires:	%{shortname}-gtk >= %{version}-%{release}
Obsoletes:	%{_lib}%{shortname}-gtk30 < 0.28-3

%description -n %{libname_gtk3}
GTK specific libraries for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname_gtkdevel}
Summary:	GTK modules for the %{name} XDG complient sound event library
Group:		Development/Libraries
Provides:	%{name}-gtk-devel = %{version}-%{release}
Requires:	%{libname_gtk} = %{version}-%{release}
Requires:	%{libname_gtk3} = %{version}-%{release}
Requires:	%{libname_devel} = %{version}-%{release}

%description -n %{libname_gtkdevel}
GTK specific libraries for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname_devel}
Summary:	Headers and libraries for %{name} development
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname_devel}
Development files for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-gstreamer \
	--disable-oss \
	--disable-static \
	--without-systemdsystemunitdir 

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Remove metalink libraries
find %{buildroot} -name *.la -delete

install -D -m755  %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xinit.d/libcanberra-gtk-module.sh
install -D -m644  %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/40canberra.sh
install -D -m644  %{SOURCE3} %{buildroot}%{_sysconfdir}/sound/profiles/alsa/canberra.conf
install -D -m644  %{SOURCE4} %{buildroot}%{_sysconfdir}/sound/profiles/pulse/canberra.conf

# Remove the multi output module until it's more stable
rm -f %{buildroot}%{_libdir}/libcanberra-%{version}/libcanberra-multi.so

# handle docs in files section
rm -rf %{buildroot}%{_defaultdocdir}

%files -n %{shortname}-common
%defattr(-,root,root)
%{_sysconfdir}/profile.d/40canberra.sh
%{_sysconfdir}/sound/profiles/alsa/canberra.conf
%{_sysconfdir}/sound/profiles/pulse/canberra.conf
%{_bindir}/canberra-boot

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.%{major}*
%dir %{_libdir}/%{name}-%{version}
%{_libdir}/%{name}-%{version}/%{name}-alsa.so
%{_libdir}/%{name}-%{version}/%{name}-pulse.so
%{_libdir}/%{name}-%{version}/%{name}-null.so

%files -n %{libname_gtk}
%defattr(-,root,root)
%{_libdir}/%{name}-gtk.so.%{major_gtk}*
%{_libdir}/gtk-2.0/modules/%{name}-gtk-module.so

%files -n %{libname_gtk3}
%defattr(-,root,root)
%{_libdir}/%{name}-gtk3.so.%{major_gtk}*
%{_libdir}/gtk-3.0/modules/%{name}-gtk3-module.so
%{_libdir}/gtk-3.0/modules/libcanberra-gtk-module.so

%files -n %{shortname}-gtk
%defattr(-,root,root)
%{_sysconfdir}/X11/xinit.d/libcanberra-gtk-module.sh
%{_bindir}/canberra-gtk-play
%{_datadir}/gdm/autostart/LoginWindow/libcanberra-ready-sound.desktop
%{_datadir}/gnome/autostart/libcanberra-login-sound.desktop
%{_datadir}/gnome/shutdown/libcanberra-logout-sound.sh
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/canberra-gtk-module.desktop

%files -n %{libname_gtkdevel}
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/%{name}
%doc README
%{_includedir}/%{shortname}-gtk.h
%{_libdir}/%{name}-gtk.so
%{_libdir}/libcanberra-gtk3.so
%{_libdir}/pkgconfig/%{name}-gtk.pc
%{_libdir}/pkgconfig/libcanberra-gtk3.pc
%{_datadir}/vala/vapi/libcanberra-gtk.vapi

%files -n %{libname_devel}
%defattr(-,root,root)
%doc README
%{_includedir}/%{shortname}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/vala/vapi/libcanberra.vapi


%changelog
* Tue Nov 26 2013 billybot <billybot> 0.30-1pclos2013
- update

* Fri Sep 2 2012 <lxgator at gmail.com> 0.28-1pclos2012
- 0.28

* Thu Dec 24 2009 <texstar at gmail.com> 0.22-3pclos2010
- rebuild

* Sat Dec 19 2009 Texstar <texstar at gmail.com> 0.22-2pclos2010
- exclude %{_sysconfdir}/X11/xinit.d/libcanberra-gtk-module.sh

* Sun Nov 29 2009 pcserver <pcserver at hush.com> 0.22-1pclos2010
- gcc update
- 0.22